# Uses of Class
it.tdlight.jni.TdApi.BusinessAwayMessageSchedule

## Uses of TdApi.BusinessAwayMessageSchedule in it.tdlight.jni

Subclasses of TdApi.BusinessAwayMessageSchedule in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.BusinessAwayMessageScheduleAlways`
Send away messages always.
`static final class`
`TdApi.BusinessAwayMessageScheduleCustom`
Send away messages only in the specified time span.
`static final class`
`TdApi.BusinessAwayMessageScheduleOutsideOfOpeningHours`
Send away messages outside of the business opening hours.
Fields in it.tdlight.jni declared as TdApi.BusinessAwayMessageSchedule
Modifier and Type
Field
Description
`TdApi.BusinessAwayMessageSchedule`
TdApi.BusinessAwayMessageSettings.`schedule`
Settings used to check whether the current user is away.
Constructors in it.tdlight.jni with parameters of type TdApi.BusinessAwayMessageSchedule
Modifier
Constructor
Description
``
`BusinessAwayMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, TdApi.BusinessAwayMessageSchedule schedule, boolean offlineOnly)`
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.